import { PropsWithChildren } from 'react';
import { IModalFormProps } from '../../modal/ModalForm';
import { IFormProps } from '../../form/Form';
export declare type ICreateProps<Values, Data> = IFormProps<Values, Data> & {
    modal?: Omit<IModalFormProps<Values, Data>, 'form' | 'title'>;
};
export declare function Create<Values, Data>({ modal: modalProps, children, ...formProps }: PropsWithChildren<ICreateProps<Values, Data>>): JSX.Element;
