import * as React from 'react';
import { NavbarProps } from 'react-bootstrap/Navbar';
import { IHeaderProps as ICoreHeaderProps } from '@reactionable/core';
import { INavItem } from '../../nav/NavItem';
export declare type IHeaderProps = ICoreHeaderProps<INavItem> & NavbarProps & {};
export declare function Header({ brand, navItems, ...navbarProps }: React.PropsWithChildren<IHeaderProps>): JSX.Element;
