"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var Form_1 = require("../../form/Form");
var core_1 = require("@reactionable/core");
var UI_1 = require("../../UI");
function Create(_a) {
    var modalProps = _a.modal, children = _a.children, formProps = tslib_1.__rest(_a, ["modal", "children"]);
    if (!modalProps) {
        return react_1.default.createElement(Form_1.Form, tslib_1.__assign({}, formProps, { children: children }));
    }
    var t = react_i18next_1.useTranslation().t;
    var useModalForm = UI_1.useUIContext().useModalForm;
    var _b = useModalForm(tslib_1.__assign(tslib_1.__assign({}, modalProps), { title: formProps.title, submitButton: modalProps.submitButton || t('Save'), form: formProps })), modal = _b.modal, openModal = _b.openModal;
    return react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(core_1.EnhanceChildren, { children: children, enhance: { onClick: openModal } }),
        modal);
}
exports.Create = Create;
;
//# sourceMappingURL=Create.js.map