import { IUseLayoutProps as ICoreUseLayoutProps, ILayoutProps as ICoreLayoutProps } from '@reactionable/core';
import { IHeaderProps } from './header/Header';
import { IBodyProps } from './body/Body';
import { IFooterProps } from './footer/Footer';
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps<IHeaderProps, IBodyProps, IFooterProps> & {};
export declare const useLayout: (props: import("react").PropsWithChildren<ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>>) => import("@reactionable/core").IUseLayoutResult;
